[Pkg-openldap-devel] Bug#393907: slapadd: ad.c:163: slap_bv2ad: Assertion `*ad == ((void *)0)' failed

Frederik Himpe fhimpe at telenet.be
Wed Oct 18 12:52:46 CEST 2006

Subject: slapadd: ad.c:163: slap_bv2ad: Assertion `*ad == ((void *)0)' failed
Package: slapd
Version: 2.3.27-1
Severity: important

*** Please type your report below this line ***
When running slapcat or slapadd, I always get this error:
 slapadd: ad.c:163: slap_bv2ad: Assertion `*ad == ((void *)0)' failed

I tried purging slapd and reinstalling with an empty database, and the postinstall slapadd script too fails with this error.
Im running slapd in Xen with libc6-xen.

vm-web:/usr/lib# gdb slapcat
GNU gdb 6.4.90-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".

(gdb) run
Starting program: /usr/local/sbin/slapcat 
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1481062176 (LWP 4732)]
slapcat: ad.c:163: slap_bv2ad: Assertion `*ad == ((void *)0)' failed.

Program received signal SIGABRT, Aborted.
[Switching to Thread -1481062176 (LWP 4732)]
0xafffe402 in __kernel_vsyscall ()
(gdb) bt
#0  0xafffe402 in __kernel_vsyscall ()
#1  0xa7bcc9d1 in raise () from /lib/tls/i686/cmov/libc.so.6
#2  0xa7bce209 in abort () from /lib/tls/i686/cmov/libc.so.6
#3  0xa7bc60ef in __assert_fail () from /lib/tls/i686/cmov/libc.so.6
#4  0x080a468e in slap_bv2ad ()
#5  0x080a3e30 in slap_str2ad ()
#6  0x08063d03 in init_config_attrs ()
#7  0x0805f12d in config_register_schema ()
#8  0x080eafc9 in bdb_back_init_cf ()
#9  0x080ca713 in bdb_back_initialize ()
#10 0x080764ef in backend_add ()
#11 0xa7b5f5e8 in init_module () from /usr/lib/ldap/back_bdb.so
#12 0x080b14d5 in module_load ()
#13 0x0805a1ed in main ()

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (800, 'testing'), (100, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-xen-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages slapd depends on:
ii  adduser                 3.97             Add and remove users and groups
ii  coreutils               5.97-5           The GNU core utilities
ii  debconf [debconf-2.0]   1.5.5            Debian configuration management sy
ii  libc6                   2.3.6.ds1-4      GNU C Library: Shared libraries
ii  libdb4.2                4.2.52+dfsg-1    Berkeley v4.2 Database Libraries [
ii  libiodbc2               3.52.4-3         iODBC Driver Manager
ii  libldap-2.3-0           2.3.27-1         OpenLDAP libraries
ii  libltdl3                1.5.22-4         A system independent dlopen wrappe
ii  libperl5.8              5.8.8-6.1        Shared Perl library
ii  libsasl2                2.1.19.dfsg1-0.5 Authentication abstraction library
ii  libslp1                 1.2.1-6          OpenSLP libraries
ii  libssl0.9.8             0.9.8c-3         SSL shared libraries
ii  libwrap0                7.6.dbs-11       Wietse Venema's TCP wrappers libra
ii  perl [libmime-base64-pe 5.8.8-6.1        Larry Wall's Practical Extraction 
ii  psmisc                  22.3-1           Utilities that use the proc filesy

Versions of packages slapd recommends:
ii  db4.2-util                 4.2.52+dfsg-1 Berkeley v4.2 Database Utilities
pn  libsasl2-modules           <none>        (no description available)

-- debconf information excluded

More information about the Pkg-openldap-devel mailing list